Bug 1575414 - Environment-update error message is not explicit enough
Summary: Environment-update error message is not explicit enough
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-mistralclient
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z9
: 10.0 (Newton)
Assignee: Brad P. Crochet
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On: 1570315 1580073
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 17:54 UTC by David Vallee Delisle
Modified: 2019-08-12 10:43 UTC (History)
12 users (show)

Fixed In Version: python-mistralclient-2.1.2-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1570315
Environment:
Last Closed: 2019-08-12 10:43:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 14582 None None None 2018-07-03 13:32:16 UTC
RDO 14584 None None None 2018-07-05 12:43:41 UTC
RDO 14629 None None None 2018-07-05 12:43:20 UTC

Description David Vallee Delisle 2018-05-06 17:54:38 UTC
When we run environment-get, we need to remove the created_at and updated_at lines, as well as making all the other variables starting with a lower case.

If we don't do this, we hit this BZ 1570315 because the error message is not very explicit.

Our customer believe that the import/export process should be transparent.

This is the format that environment-get should return:

$ grep -oP "^[^\s]+" overcloud.yaml 
name:
description:
variables:
scope:

This patch seems to solve the issue. I was able to to get and update without a hassle:

# diff mistralclient/commands/v2/environments.py mistralclient/commands/v2/environments.py.orig
54,57c54,59
<         'name',
<         'description',
<         'variables',
<         'scope',
---
>         'Name',
>         'Description',
>         'Variables',
>         'Scope',
>         'Created at',
>         'Updated at'

Comment 1 Brad P. Crochet 2018-07-03 13:32:58 UTC
Backporting the --export option to stable/newton downstream.

Comment 15 gdiotte 2019-08-08 17:22:06 UTC
Hello!

I wanted to follow up on this BZ. Are there any updates?

Thanks,
Gabriel

Comment 16 Lon Hohberger 2019-08-12 10:43:31 UTC
According to our records, this should be resolved by python-mistralclient-2.1.2-2.el7ost.  This build is available now.


Note You need to log in before you can comment on or make changes to this bug.